html, body {
    font-family: 'Roboto', sans-serif !important;
    height: 100%;
    overflow-x: hidden;
    background: #dbdbdb30 !important;
}
button{
    outline: none !important;
}
.mobile-view {
    display: none;
}

.c-white, .master-title {
    color: black;
    font-weight: 300;
}

span.nav-tab {
    float: right;
    margin-right: 10px;
    cursor: pointer;
}

td.right-border {
    text-align: center;
}

.sbar-display {
    display: none !important;
}

.pdm-0 {
    padding: 0px !important;
}

.sortby-control {
    border: none;
    background: white;
}

li.sidebar-li.active>.i.fa.fa-user.fauser {
    background: black;
}

.list {
    cursor: pointer;
}

.full-border {
    box-shadow: 0px 0px 20px #1b1e211f;
    font-size: 14px;
}

.table-b {
    height: 62vh !important;
    overflow-y: scroll;
}

.table-bs {
    height: 63vh !important;
    overflow-y: scroll;
}

.c-black th {
    color: black !important;
    font-weight: 600;
}

.pd-0 {
    padding: 0px !important;
}

span.total-cont-list {
    margin-left: 12px;
    color: black;
    font-weight: 300;
}

li.no-data h5 {
    font-size: 12px;
}

.bio-pic {
    border-radius: 50%;
    width: 150px !important;
    height: 150px !important;
    object-fit: contain;
}

.form-input::placeholder {
    text-transform: none;
}

.form-input:disabled {
    cursor: not-allowed;
    background: #9e9e9e;
}
.form-input:disabled:hover{
    background: #9e9e9e;
}
/* datepicker css */

.form-detail {
    position: relative;
}

.full-detail-master {
    margin: 20px 0px;
    border-radius: 2px;
    padding: 20px 0px;
    margin: 20px;
    background-color: rgb(255 255 255);
    -webkit-box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
}

.gj-datepicker [role=right-icon] {
    display: none;
}

.input-group .form-control:not(:last-child) {
    border: none !important;
    background: #f2f2f2 !important;
}

.date-i {
    position: absolute;
    right: 30px;
    top: 10px;
    font-size: 20px;
    z-index: 9;
}

/* tabs css */

.tabs ul {
    list-style: none;
    padding-left: 0px;
}

.tabs .tab {
    display: none;
    clear: both;
}

.tabactive {
    display: block !important;
}

ul.tabs-list li {
    display: inline-block;
}

ul.tabs-list li button {
    padding: 5px 10px;
    background: gainsboro;
    box-shadow: 1px 1px 3px black;
    border-radius: 2px;
    margin-right: 5px;
    cursor: pointer;
}

ul.tabs-list li button a {
    color: black !important;
    text-decoration: none;
    cursor: unset;
}

ul.tabs-list li button.tabactive {
    background: #023873;
}

ul.tabs-list li button.tabactive a {
    color: white !important;
}

/* comman css */
.moveanimation {
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}
img.img-fluid.no-data-img {
    max-width: 50% !important;
    opacity: 0.2;
}
.content-footer {
    float: right;
    padding-top: 5px;
}

button.page-link:disabled {
    cursor: not-allowed;
}

.row.full-border {
    background: white;
}

span.add-btn-bio {
    background: #023873;
    color: white;
    float: right;
    padding: 5px 15px;
    border-radius: 2px;
    margin-top: 10px;
    cursor: pointer;
    margin-right: 15px;
    position: relative;
}

span.add-btn-bio::after {
    content: '';
    background: url("/assets/images/welcome-back.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0px;
    bottom: -24px;
    right: -5px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

span.add-btn-bio:hover {
    background: #f0a61d;
    color: #f0a61d;

}

span.add-btn-bio:hover::after {
    bottom: 0px;
    opacity: 1;
}

/* span.add-btn-bio:hover {
    background: #f0a61d;
    color: white;
} */

.invalid-feedback {
    text-align: center;
}

h5.fnt-dis-fair.fnt-wig {
    color: white;
}

.multiselect-dropdown .dropdown-btn {
    font-size: 14px;
    border: none !important;
    background: #f2f2f2 !important;
}

.dropdown-list li {
    font-size: 14px !important;
}

.upde {
    margin-right: 30px;
}

.name-of-logo {
    margin: 10px;
    position: absolute;
    top: 6px;
    left: 40px;
}

.b-gray {
    background-color: white;
    -webkit-box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
}

.h-100vh {
    height: 100vh;
}

.fnt-wig {
    font-weight: 600;
}

.fnt-size {
    font-size: 13px;
}

.fnt-dis-fair {
    font-family: 'Playfair Display', serif !important;
}

.outline {
    outline: none;
}

.f-right {
    float: right;
}

.c-pointer {
    cursor: pointer;
}

.p-relative {
    position: relative;
}

/* Modal css */

.modal-content {
    padding: 30px 10px !important;
    border-radius: 10px;
    box-shadow: 0px 0px 10px #00000075;
    background: linear-gradient(180deg, #F1E9FF 0%, #CFC8FF 100%) 0% 0% no-repeat padding-box !important;
}

.modal-body {
    padding: 10px 50px !important;
}

.modal-form-control::placeholder {
    font-size: 12px;
    font-weight: 100;
}

input.non-control {
    background: transparent;
    border: none;
    display: inline-block;
    width: 40px;
    text-align: center;
    padding: 5px;
}

.modal-form-control {
    padding: 5px;
    width: 70%;
    outline: none;
    border-radius: 8px;
    border: 1px solid gainsboro;
}

/* buttons css */

.section-btn {
    border: none;
    border-radius: 2px;
    padding: 5px 20px;
    justify-content: center;
    font-weight: 100;
    outline: none !important;
    background: #efa51d;
    color: #000000;
}

.section-btn:hover {
    background: linear-gradient(180deg, #F1E9FF 0%, #CFC8FF 100%) 0% 0% no-repeat padding-box !important;
    box-shadow: 0px 4px 10px #00000029;
}

.update-btn {
    border: none;
    border-radius: 2px;
    padding: 5px 10px;
    justify-content: center;
    font-weight: 100;
    outline: none !important;
    font-size: 12px;
    background: #efa51d;
    color: white;
    margin: 5px;
    position: relative;
}
.ok-btn {
    border: none;
    border-radius: 2px;
    padding: 5px 10px;
    justify-content: center;
    font-weight: 100;
    outline: none !important;
    font-size: 12px;
    background: #efa51d;
    color: white;
    margin: 5px;
    position: relative;
}
.cancel-btn {
    border: none;
    border-radius: 2px;
    padding: 5px 10px;
    justify-content: center;
    font-weight: 100;
    outline: none !important;
    font-size: 12px;
    background: #023873;
    color: white;
    margin: 5px;
    position: relative;
}

.save-btn {
    border: none;
    border-radius: 2px;
    padding: 5px 10px;
    justify-content: center;
    font-weight: 100;
    outline: none !important;
    font-size: 12px;
    background: #efa51d;
    color: white;
    margin: 5px;
    position: relative;
}

.save-btn::after {
    content: '';
    background: url("/assets/images/smiling.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 3px;
    right: -24px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.save-btn:hover::after {
    right: -65px;
    opacity: 1;
}

.modal-update-btn {
    border: none;
    border-radius: 2px;
    padding: 5px 15px;
    justify-content: center;
    font-weight: 100;
    outline: none !important;
    font-size: 14px;
    margin: 10px 5px;
    text-align: center;
    background: #efa51d;
    color: white;
    position: relative;
}

.modal-cancel-btn {
    border: none;
    border-radius: 2px;
    padding: 5px 15px;
    justify-content: center;
    font-weight: 100;
    outline: none !important;
    font-size: 14px;
    margin: 10px 5px;
    text-align: center;
    background: #023873;
    color: white;
    position: relative;
}

.edit-icon-subj {
    float: right;
    font-size: 12px;
    margin-top: 5px;
    cursor: pointer;
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: url("/assets/images/down-arrow.png") #f2f2f2 no-repeat 98.5% !important;
    background: url("/assets/images/down-arrow.png") #f2f2f2 no-repeat calc(100% - 10px) !important;
}

.modal-update-btn::after {
    content: '';
    background: url("/assets/images/in-love.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 7px;
    left: 30px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.modal-update-btn:hover::after {
    top: -15px;
    opacity: 1;
}

.update-btn::after {
    content: '';
    background: url("/assets/images/in-love.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 50%;
    height: 100%;
    top: 7px;
    left: 18px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.update-btn:hover::after {
    top: -15px;
    opacity: 1;
}
.ok-btn::after {
    content: '';
    background: url("/assets/images/sad1.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 90%;
    height: 100%;
    top: 7px;
    left: 6px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.ok-btn:hover::after {
    top: -17px;
    opacity: 1;
}
.modal-cancel-btn::after {
    content: '';
    background: url("/assets/images/sad1.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 7px;
    left: 24px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.modal-cancel-btn:hover::after {
    top: -15px;
    opacity: 1;
}

.cancel-btn::after {
    content: '';
    background: url("/assets/images/sad1.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 7px;
    left: 18px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.cancel-btn:hover::after {
    top: -15px;
    opacity: 1;
}

.update-btn:hover, .modal-update-btn:hover, .login-btn:hover {
    /* box-shadow: rgb(60 64 67 / 30%) 0px 1px 2px 0px, rgb(60 64 67 / 15%) 0px 1px 3px 1px;    */
    transform-origin: top center;
    animation-name: swing;
    animation: swing 1s;
    background: #007bff;
}

.cancel-btn:hover, .modal-cancel-btn:hover {
    transform-origin: top center;
    animation-name: swing;
    animation: swing 1s;
    background: #e91e63;
}

@keyframes swing {
    20% {
        transform: rotate(15deg);
    }

    40% {
        transform: rotate(-10deg);
    }

    60% {
        transform: rotate(5deg);
    }

    80% {
        transform: rotate(-5deg);
    }

    100% {
        transform: rotate(0deg);
    }
}

span.lbl {
    color: #767676;
    font-size: 13.5px;
}

.form-input {
    width: 100%;
    border: none;
    height: 35px;
    padding: 5px;
    outline: none;
    font-size: 15px;
    background: #f2f2f2;
    margin-bottom: 10px;
    border: 1px solid gainsboro;
    border-radius: 3px;
}

input[type="file"] {
    /* width: 100%; */
    border: none;
    height: 35px;
    padding: 5px;
    outline: none;
    font-size: 13px;
    /* border-radius: 5px; */
    /* border: 1px solid gainsboro; */
    background: #f2f2f2;
    border: 1px solid gainsboro;
    border-radius: 3px;
}

.search-remove-i {
    position: absolute;
    right: 17px;
    top: 17px;
    transition: all 0.3s ease-in-out 0s;
}

.search-remove-i:hover {
    color: red;
    cursor: pointer;
    transform: rotate(360deg);
    transition: all 0.3s ease-in-out 0s;
}

.search-sturemove-i {
    position: absolute;
    right: 8px;
    top: 8px;
    transition: all 0.3s ease-in-out 0s;
}

.search-sturemove-i:hover {
    color: red;
    cursor: pointer;
    transform: rotate(360deg);
    transition: all 0.3s ease-in-out 0s;
}

.form-input:hover {
    background: gainsboro;
}

/* submenus of Subdatas */

.student-navbar {
    height: 44px;
    background-color: rgb(255 255 255);
    -webkit-box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
}

.menu {
    position: absolute;
    padding: 9px;
    right: 10px;
}

/* .bg-white {
    height: 54px !important;
} */

/* input field css */

span.search-btn {
    float: right;
    position: relative;
}

.nav-form-control {
    border: none;
    border-radius: 8px;
    padding: 5px 5px 5px 30px;
    outline: none;
    margin: 10px;
    width: 160px;
    color: black;
    background: #f2f2f2;
}

.nav-form-control::placeholder {
    font-size: 12px;
}

.login-form-control {
    width: 100%;
    border: none;
    height: 35px;
    border-radius: 8px;
    outline: none;
    padding: 5px 10px;
    background: white;
    color: black;
}

.login-form-control::placeholder {
    font-weight: 100 !important;
}

.select-form-control {
    width: 100%;
    border: none;
    border-radius: 3px;
    margin: 10px 0px;
    padding: 5px;
    font-size: 12px;
    height: 35px;
    outline: none;
    background: white;
     border: 1px solid gainsboro;
}

.sortby-form-control {
    width: 150px;
    border: none;
    border-radius: 3px;
    margin: 10px;
    height: 30px;
    padding: 5px;
    outline: none;
    font-size: 12px;
    background: #f2f2f2;
    border: 1px solid gainsboro;
}

.masterheader-name {
    padding: 10px 15px;
    border-radius: 5px;
    margin: 10px 0px;
    background-color: rgb(255 255 255);
    -webkit-box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    color: #1b1e21;
}

.form-data label {
    font-size: 14px;
    margin-bottom: 0;
    color: #585858;
}

.nav-title {
    color: white;
}

/* table css */

/* .table thead th {
    text-align: center;
    border-bottom: none !important;
}

.table th {
    border-top: none !important;
    font-weight: 500;
}

.table tbody td {
    text-align: center;
}

.left-border {
    border-radius: 10px 0px 0px 10px;
}

.table td {
    border-top: none !important;
}

.right-border {
    border-radius: 0px 10px 10px 0px;
} */

.table-fixed {
    position: sticky;
    top: -1px;
    z-index: 1;
    background-color: white;
}

.add-i {
    margin: 0px 10px;
    color: green;
    cursor: pointer;
    position: relative;
}

.add-i::after {
    content: '';
    background: url("/assets/images/happy.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 250%;
    height: 250%;
    top: -8px;
    right: 0px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.add-i:hover::after {
    right: -8px;
    opacity: 1;
}

.edit-i {
    margin: 0px 10px;
    color: green;
    cursor: pointer;
    position: relative;
}

.edit-i::after {
    content: '';
    background: url("/assets/images/handshake.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 250%;
    height: 250%;
    top: -8px;
    right: 0px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.edit-i:hover::after {
    right: -8px;
    opacity: 1;
}

.editblue-i {
    margin: 0px 10px;
    color: #007bff;
    cursor: pointer;
    position: relative;
}

.editblue-i::after {
    content: '';
    background: url("/assets/images/transparency.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 280%;
    height: 250%;
    top: -8px;
    right: 0px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.editblue-i:hover::after {
    right: -8px;
    opacity: 1;
}

.c-blue {
    color: #007bff !important;
}

.delete-i {
    margin: 0px 5px;
    color: red;
    cursor: pointer;
}

/* navbar */

.Active {
    background: #023873;
    color: white !important;
    padding: 15px;
    text-decoration: none;
}

.b-black {
    background-color: rgba(0, 0, 0, .2);
    -webkit-box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
}

.navbar-expand-lg.b-black {
    border-radius: 0px 0px 20px 20px;
    box-shadow: 0px 4px 10px #00000029;
    padding: 10px;
}

.search {
    position: relative;
    padding: 11px;
}

.search-i {
    position: absolute;
    top: 17px;
    left: 16px;
    width: 20px;
}

.fixed-w {
    position: fixed;
    width: 100%;
    z-index: 999;
    /* background: white; */
}

/* sidebar css */

.side-bar-design.p-0 {
    height: 100vh;
    background: #023873;
}

.sidebar-header {
    padding: 25px 20px;
    font-weight: 600;
    color: white;
    box-shadow: 0px 4px 10px #00000029;
}

ul {
    list-style-type: none;
    padding: 0;
}

li.sidebar-li-title {
    height: 40px;
    padding: 0px 10px;
    font-size: 16px !important;
    color: white;
    -webkit-box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
}

.sidebar-li-title:hover {
    background: #023873 !important;
    border-left: 3px solid #023873 !important;
}

li.sidebar-li {
    padding: 10px 20px;
    cursor: pointer;
    color: white;
}

li.sidebar-li:hover {
    background: white;
    color: #1b1e21 !important;
    box-shadow: 3px 0px 6px #00000029;
}

.fauser {
    margin-right: 10px;
    padding: 6px;
    border-radius: 3px;
    background: #00000057;
    color: white;
}

.faarrow {
    float: right;
    margin-top: 9px;
    font-size: 12px !important;
}

.fa-hour-arrow {
    float: right;
    margin-top: 5px;
    font-size: 12px !important;
}

/* login */

.clg-details h5 {
    margin-top: 30px;
    color: white;
}

.clg-details h1 {
    margin-bottom: 20px;
    color: white;
    /* font-family: 'Anton', sans-serif; */
    font-family: 'Bebas Neue', cursive;
}

.socal-media {
    padding: 10px;
}

.socal-media img {
    margin: 10px;
}

.dashboard-card {
    -webkit-box-shadow: 0 0px 5px rgb(86 82 255);
    box-shadow: 0 0px 5px rgb(86 82 255);
    display: inline-block;
    padding: 5px;
    margin: 5px;
    border-radius: 5px;
    cursor: pointer;
}

.dashboard-card:hover {
    -webkit-box-shadow: 0 0px 5px rgb(255 193 7);
    box-shadow: 0 0px 5px rgb(255 193 7);
}

/* student-list-page */

ul.mob-ul {
    background: white;
    border-radius: 0px 0px 10px 10px;
    padding: 5px 10px;
    box-shadow: 0px 0px 5px;
    margin-bottom: 0;
}

.mob-ul li {
    display: inline-block;
    margin: 0px 5px;
}

.active-tab {
    padding: 5px 10px;
    background: #5551ff;
    border-radius: 3px;
    color: white;
}

.form {
    padding: 0px 25px;
}

.side-cont {
    padding: 30px;
    height: 93vh;
    position: fixed;
    overflow: hidden;
    border-radius: 0px 0px 20px 0px;
    background: #3E3E4A 0% 0% no-repeat padding-box;
    box-shadow: 3px 0px 6px #00000029;
}

/* student-full-datail-page */

.full-detail {
    margin: 20px 0px;
    border-radius: 3px;
    padding: 20px 0px;
    margin: 20px;
    background-color: rgb(255 255 255);
    -webkit-box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
}

.full-detail-page {
    border-radius: 3px;
    margin: 20px;
    background-color: rgb(255 255 255);
    -webkit-box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
}

span.close-i {
    padding: 3px 6px;
    border-radius: 50%;
    font-size: 17px;
    outline: none;
    cursor: pointer;
    background: #f2f2f2;
}

span.close-i i {
    transition: all 0.3s ease-in-out 0s;
}

span.close-i:hover i {
    color: red;
    cursor: pointer;
    transform: rotate(360deg);
    transition: all 0.3s ease-in-out 0s;
}

.delete-div {
    position: relative;
}

.delete-div::after {
    content: '';
    background: url("/assets/images/sad1.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 100%;
    height: 150%;
    top: 0px;
    right: 0px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.delete-div:hover::after {
    right: -30px;
    opacity: 1;
}

.download-div {
    position: relative;
}

.download-div::after {
    content: '';
    background: url("/assets/images/happy.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 100%;
    height: 150%;
    top: 0px;
    left: 0px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.download-div:hover::after {
    left: -30px;
    opacity: 1;
}

.togglebtn {
    width: 100%;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    outline: none !important;
    text-align: left;
    background: #f2f2f2;
    position: relative;
}

h5.name-list {
    color: black;
}

h6.homes-h6 {
    margin-left: 15px;
}

h6.homes-h6 span {
    color: #023873;
}

.toggleopenbtn {
    width: 100%;
    border: none;
    padding: 10px 20px;
    border-radius: 3px;
    outline: none !important;
    text-align: left;
    background: aliceblue !important;
    border-top: 1px solid gainsboro;
    border-right: 1px solid gainsboro;
    border-left: 1px solid gainsboro;
    position: relative;
}

.fee-table {
    border-radius: 3px;
    background: aliceblue;
    border: 1px solid gainsboro;
}

.bb {
    text-decoration: underline;
}

.fi {
    font-size: 10px !important;
    margin-right: 5px;
}

.name-of-page {
    padding: 20px;
    border-bottom: 1px solid gainsboro;
    padding-bottom: 10px;
}

.form-page {
    padding: 20px;
    position: relative;
}

.checkspan {
    display: none;
}

span.edit-data-btn {
    position: absolute;
    right: 0px;
    top: 25px;
    background: gainsboro;
    border-radius: 3px;
    cursor: pointer;
}

.edit-icon {
    margin: 0px 5px;
}

.page-head {
    position: relative;
    left: -15px;
}

.home-h6 span {
    color: #023873;
}

.form-page h6 {
    position: relative;
    /* margin-bottom: 20px; */
}

.form-page h6::after {
    position: absolute;
    left: 0px;
    bottom: -10px;
    width: 50px;
    height: 3px;
    content: '';
    background: #023873;
}

.form-div {
    padding: 15px 0px;
}

.bb-1 {
    border-bottom: 1px solid gainsboro;
    padding-bottom: 5px;
}

/* master page css */

.set-height {
    height: 59vh;
    overflow-y: scroll;
}

.add-btn-master {
    background-color: rgb(2 56 115);
    -webkit-box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    color: white;
    float: right;
    padding: 5px 15px;
    margin: 0px 10px;
    border-radius: 3px;
    cursor: pointer;
    position: relative;
}

.add-btn-master::after {
    content: '';
    background: url("/assets/images/welcome-back.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0px;
    bottom: -24px;
    right: -5px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.add-btn-master:hover {
    background: #f0a61d;
    color: #f0a61d;

}

.add-btn-master:hover::after {
    bottom: 0px;
    opacity: 1;
}

.back-btn-master {
    /* background: rgb(255, 254, 254);
    color: #2d2d37; */
    background: #d5ceff;
    color: black;
    float: right;
    padding: 0px 15px;
    margin: 0px 10px;
    border-radius: 5px;
    cursor: pointer;
    position: relative;
}

.back-btn-master::after {
    content: '';
    background: url("/assets/images/waving-hand.png");
    background-repeat: no-repeat;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0px;
    /* bottom: -24px; */
    right: -5px;
    opacity: 0;
    -webkit-transition: all, 0.8s;
    -o-transition: all, 0.8s;
    transition: all, 0.8s;
}

.back-btn-master:hover {
    background: #023873;
    color: white;
}

.back-btn-master:hover::after {
    right: 30px;
    opacity: 1;
}

.back-i {
    font-size: 19px !important;
}

.ed-i {
    margin: 0px 5px;
    cursor: pointer;
}

.resume-btn-master {
    float: right;
    cursor: pointer;
    padding: 3px 20px;
    border-radius: 5px;
    background: #023873;
    color: white;
    font-weight: 100;
}

.resume-btn-master:hover {
    background: #efa51d;
    box-shadow: 0px 4px 10px #00000029;
}

.add-master {
    background: white;
    font-size: 14px;
    -webkit-box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    border-radius: 3px;
}

.total-cont-master {
    display: initial;
}

.bg-white-master {
    border-bottom: 1px solid gainsboro;
    height: 55px;
    padding: 10px;
    position: relative;
}

.search-form-control {
    border: none;
    border-radius: 8px;
    padding: 5px 5px 5px 30px;
    outline: none;
    width: 160px;
    background: gainsboro;
    font-size: 14px;
}

.search-icon {
    position: absolute;
    top: 7px;
    left: 7px;
    width: 17px;
}

form.form-data-master, .p-15 {
    padding: 15px;
}

.p-15 {
    padding: 0px 15px;
}

.master-form-control {
    width: 100%;
    border: none;
    outline: none;
    background: #f2f2f2;
    padding: 5px;
    font-size: 14px;
    height: 35px;
    border: 1px solid gainsboro;
    border-radius: 3px;
}

/* master modal css */

/* Modal css */

.mastermodal {
    border-radius: 5px;
    background: #f5f4f4 0% 0% no-repeat padding-box;
}

.modal-list {
    padding: 0px 30px !important;
}

.modal-content {
    padding: 10px !important;
    box-shadow: 0px 0px 10px #00000075;
    background: linear-gradient(180deg, #F1E9FF 0%, #CFC8FF 100%) 0% 0% no-repeat padding-box !important;
}

.modal-form-control::placeholder {
    font-size: 12px;
    font-weight: 100;
}

.modal-lable {
    padding-top: 5px
}

.form-data {
    margin-bottom: 5px;
    position: relative;
}

i.fa.fa-info-circle.in-info {
    position: absolute;
    top: 31px;
    right: 8px;
}

.modal-form-control {
    padding: 5px;
    width: 100%;
    outline: none;
    border-radius: 8px;
    font-size: 14px;
    border: 1px solid gainsboro;
}

.fulldata {
    height: 81vh !important;
    overflow-y: scroll;
    padding: 0px 20px;
}

.fulldata-a {
    height: 88vh !important;
    overflow-y: scroll;
    padding: 0px 20px;
}

.main-design-page {
    padding: 20px 20px 20px 20px;
}

@media screen and (max-width: 1024px) {
    .login-img {
        width: 75px;
    }

    .table-b {
        height: 58vh !important;
    }

    .table-bs {
        height: 66vh !important;
    }

    .fulldata {
        height: 85vh !important;
    }

    .fulldata-a {
        height: 83vh !important;
    }

    .set-height {
        height: 56vh;
    }

    .tap-data {
        padding: 15px 10px !important;
        margin: 0px 10px !important;
    }

    .sh {
        margin: 0px 10px !important;
    }

    .main-div {
        padding: 15px;
    }

    .modal-cancel-btn, .modal-update-btn {
        padding: 5px 10px !important;
        font-size: 12px;
    }
}

@media screen and (max-width:991px) and (min-width: 576px) {
    .main-design-page {
        padding: 20px 0px 20px 10px !important;
    }
}

@media screen and (min-width: 576px) {
    .left-side {
        padding: 14.7px 0px;
        text-align: center;
        background: #ffad17f0;
    }

    .cnt {
        width: 65%;
    }

    .profile {
        position: relative;
    }

    .right-side {
        position: absolute;
        bottom: 4px;
        padding: 10px;
        right: 20px;
    }

    .userimg {
        width: 20px;
    }

    .user-name {
        color: black;
        font-weight: 300;
        text-align: center;
    }

    .user-i {
        padding: 10px;
        border-radius: 50%;
    }

    .user-name a, p {
        font-size: 13px;
    }

    .left-sidebar {
        text-align: center;
        padding: 20px 0px;
    }

    .side-user-i {
        padding: 15px;
        border-radius: 50px;
    }

    .sd {
        margin: 10px 0px;
    }

    .side-user-name {
        margin: 10px 0px 0px 0px;
    }

    span.nav-i {
        box-shadow: 3px 0px 5px #00000029;
    }

    span.nav-tit {
        color: white;
    }

    /* .active {
        background: white;
        color: #1b1e21 !important;
        box-shadow: 3px 0px 6px #00000029;
    } */
    .user-i {
        background: #f8f9fa;
    }

    .side-bar-design {
        -webkit-box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
        box-shadow: 0 2px 10px rgb(0 0 0 / 10%);
    }

    .side-user-i {
        background: white;
    }
}

@media screen and (max-width:991px) and (min-width: 768px) {

    /* .center {
        padding: 50px 0px;
    } */
    .cnt {
        width: 65% !important;
    }

    .full-border {
        margin-right: 10px !important;
    }

    .login-header {
        margin-bottom: 10px;
        font-size: 20px;
    }

    span.nav-tit {
        padding: 0px 0px;
        font-size: 15px;
    }

    .fulldata {
        overflow-y: scroll !important;
    }

    .fulldata-a {
        overflow-y: scroll !important;
    }

    .sideuserimg {
        width: 20px !important;
    }

    .left-sidebar {
        padding: 23.5px 0px;
    }

    .form {
        padding: 0px;
    }

    .name-list {
        font-size: 14px;
    }

    .dashboard-card {
        margin: 6px;
    }
}

@media screen and (max-width: 991px) {
    .sbar-display {
        display: block !important;
    }

    li.sidebar-li {
        font-size: 12px;
    }

    i.fa.fa-pencil.edit-i {
        margin: 0px;
    }

    h5.mb-0.d-inline {
        font-size: 16px;
    }

    button.tab-btn {
        font-size: 12px;
    }

    i.fa.fa-chevron-right.fa-hour-arrow {
        display: none;
    }

    span.submenu-li {
        font-size: 12px;
    }

    .name-of-page h5 {
        font-size: 15px;
    }

    .name-of-page.mb-2.c-white {
        font-size: 14px;
    }

    .mr-5 {
        margin-right: 1rem !important;
    }

    .pageheader {
        padding: 0px 0px !important;
    }

    .student-box {
        font-size: 12px;
    }
}

@media screen and (max-width: 900px) {
    li.sidebar-li {
        padding: 10px 5px;
    }
}

@media screen and (max-width: 768px) {
    .search-form-control {
        width: 100px;
    }
    .modal-update-btn{
        margin: 10px 0px;
    }
}

@media screen and (max-width: 767px) {
    .add-btn-master {
        padding: 5px 10px;
        margin: 0px 1px;
        border-radius: 50px;
    }

    .content-wrapper {
        margin-left: 0px !important;
        width: 100% !important;
    }

    .mobile-view-main {
        padding: 56px 10px 10px 10px;
    }

    .system-view, .main-header, .leftMenu {
        display: none;
    }

    .mobile-view {
        display: block;
    }

    .login-header {
        margin-bottom: 10px;
    }

    .full-detail {
        margin: 0px !important;
    }

    .full-detail-page {
        margin: 0px !important;
    }

    .navbar-brand {
        color: black;
    }

    .b-black {
        background: linear-gradient(180deg, #F1E9FF 0%, #CFC8FF 100%) 0% 0% no-repeat padding-box !important;
    }

    .login-header {
        padding: 2%;
    }

    .side-bar-design {
        display: none;
    }

    .table-b, .table-bs {
        height: auto !important;
    }

    .main-m {
        margin-top: 0px !important;
    }

    .menu {
        left: 10px;
    }

    .student-navbar {
        display: none;
    }

    .side-cont, .set-height {
        height: auto !important;
    }

    .fulldata-a {
        padding: 0px;
        height: auto !important;
    }

    .student-list {
        margin: 0px !important;
        left: 0px !important;
    }

    .student-box div span {
        display: inherit !important;
    }

    .sortby-control {
        width: 100%;
        background: #f2f2f2;
    }

    .countlist {
        padding: 20px 15px !important;
    }

    span.date {
        font-size: 14px;
    }

    .pdm-0 {
        padding: 0px 15px !important;
    }

    body {
        overflow-y: scroll !important;
    }

    .main-page {
        height: auto !important;
        overflow: unset;
        padding: 10px 0px;
    }

    .sortby-form-control {
        width: 100px;
    }

    .fulldata {
        overflow: scroll !important;
        padding-top: 0px !important;
        height: auto !important;
        padding: 0;
    }

    .full-detail-master {
        margin: 20px 0px;
    }

    .masterheader-name, .add-master {
        margin: 10px 0px;
        position: relative;
    }

    .ma-to {
        padding: 10px 0px 20px 0px;
    }

    .margin-top {
        margin-top: 10px;
        margin-bottom: 10px;
    }

    .dashboard-card {
        margin: 10px !important;
    }

    .grade-form-control {
        width: 48%;
    }

    input.search-form-control {
        width: 100px;
    }

    input.nav-form-control {
        display: none;
    }

    .tap-data, .sh {
        margin: 0px 15px !important;
    }

    .search-icon {
        display: none;
    }

    input.search-form-control {
        padding: 5px !important;
    }
}

@media screen and (max-width: 575px) {
    .day-table {
        padding: 4px !important;
    }

    .content-footer {
        float: none;
        padding-top: 5px;
    }
    .form-page {
        padding: 5px;
        position: relative;
    }
}

@media screen and (max-width: 375px) {
    .dashboard-card {
        margin: 5px !important;
    }

    input.search-form-control {
        width: 90px;
    }

    .total-cont-master {
        font-size: 12px;
    }

    .add-btn-master {
        margin: 0px 5px;
    }
}

@media screen and (max-width: 320px) {
    input.search-form-control {
        width: 45px;
    }

    .dashboard-card {
        margin: 15px !important;
    }

    .sortby-form-control {
        width: 80px;
        margin: 5px;
    }

    span.add-btn-bio {
        margin-top: 4px;
        margin-right: 9px;
    }

    span.total-cont-list {
        font-size: 12px;
    }
}